{ inputs, outputs, config, pkgs, ... }:

{
  home = {
    username = "rilla";
    homeDirectory = "/home/rilla";
  };

  nixpkgs = {
    overlays = [
      outputs.overlays.additions
      outputs.overlays.modifications
    ];
    config = {
      allowUnfree = true;
      allowUnfreePredicate = (_: true);
    };
  };

  imports = [
    outputs.homeManagerModules.common
    outputs.homeManagerModules.dav
    outputs.homeManagerModules.mpd
    outputs.homeManagerModules.foot
    outputs.homeManagerModules.mail
    outputs.homeManagerModules.rss
  ];

  home.sessionPath = [
    "$HOME/.local/bin"
  ];

  home.packages = with pkgs; [ wl-clipboard libnotify ];

  home.stateVersion = "23.05";
}
