{ config, pkgs, ... }:

{
  home.packages = [ pkgs.diff-so-fancy pkgs.tig pkgs.tea ];

  programs.git = {
    enable = true;
    userName = "Ricard Illa";
    userEmail = "rilla@monotremata.xyz";
    signing = {
      key = "0x101F79336E07C850";
      signByDefault = true;
    };
    # delta = maybe?
    extraConfig = {
      core = {
        editor = "${pkgs.neovim}/bin/nvim";
        pager =
          "${pkgs.diff-so-fancy}/bin/diff-so-fancy | ${pkgs.less}/bin/less --tabs=4 -RFX";
      };
      color.ui = true;
      pull.rebase = false;
      init.defaultBranch = "main";
      diff-so-fancy.stripLeadingSymbols = false;
    };
  };
}
