{ config, pkgs, ... }:

#let
#  ardour-windows-vst = pkgs.ardour.overrideAttrs (old: {
#    wafConfigureFlags = old.wafConfigureFlags ++ [ "--windows-vst" ];
#  });
#in
let
  home = config.home.homeDirectory;
in
  {
  home.packages = [
    pkgs.ardour
    # ardour-windows-vst
    pkgs.cadence
    pkgs.carla
    pkgs.fluidsynth
    pkgs.haskellPackages.tidal
    pkgs.helm
    pkgs.helvum
    pkgs.hydrogen
    pkgs.jack2
    pkgs.lmms
    pkgs.qjackctl
    pkgs.qpwgraph
    pkgs.qsynth
    pkgs.supercollider
    pkgs.tenacity
    pkgs.yoshimi
    pkgs.zynaddsubfx
    # pkgs.haskellPackages.tidal-midi
  ];

  home.sessionVariables = {
    LV2_PATH = "${home}/.nix-profile/lib/lv2:${home}/Audio/plugins/lv2:/run/current-system/sw/lib/lv2";
    LXVST_PATH = "${home}/.nix-profile/lib/lxvst:${home}/Audio/plugins/lxvst:/run/current-system/sw/lib/lxvst";
    LADSPA_PATH = "${home}/.nix-profile/lib/ladspa:${home}/Audio/plugins/ladspa:/run/current-system/sw/lib/ladspa";
  };
  }
